Module org.hdfgroup.hdfview
Package hdf.view.TableView

# Class DefaultBaseTableView.RowHeader

Object
org.eclipse.nebula.widgets.nattable.layer.AbstractLayer
org.eclipse.nebula.widgets.nattable.grid.layer.DimensionallyDependentLayer
org.eclipse.nebula.widgets.nattable.grid.layer.RowHeaderLayer
hdf.view.TableView.DefaultBaseTableView.RowHeader

All Implemented Interfaces:
  `org.eclipse.nebula.widgets.nattable.layer.ILayer`, `org.eclipse.nebula.widgets.nattable.layer.ILayerListener`, `org.eclipse.nebula.widgets.nattable.persistence.IPersistable`

Enclosing class:
  DefaultBaseTableView

protected class DefaultBaseTableView.RowHeader extends org.eclipse.nebula.widgets.nattable.grid.layer.RowHeaderLayer
An implementation of the table's Row Header which adapts to the current font.

- ## Field Summary

  ### Fields inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

  `commandHandlers, eventHandlers, eventHelperLock, layerPainter`

  ### Fields inherited from interface org.eclipse.nebula.widgets.nattable.persistence.IPersistable

  `DOT, VALUE_SEPARATOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RowHeader​(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer baseLayer, org.eclipse.nebula.widgets.nattable.layer.ILayer verticalLayerDependency, org.eclipse.nebula.widgets.nattable.selection.SelectionLayer selectionLayer)`

- ## Method Summary

  ### Methods inherited from class org.eclipse.nebula.widgets.nattable.grid.layer.RowHeaderLayer

  `doCommand, getConfigLabelsByPosition, getDisplayModeByPosition`

  ### Methods inherited from class org.eclipse.nebula.widgets.nattable.grid.layer.DimensionallyDependentLayer

  `configure, getBaseLayer, getClientAreaProvider, getColumnCount, getColumnIndexByPosition, getColumnPositionByX, getColumnWidthByPosition, getDataValueByPosition, getHeight, getHorizontalLayerDependency, getLayerPainter, getPreferredColumnCount, getPreferredHeight, getPreferredRowCount, getPreferredWidth, getRegionLabelsByXY, getRowCount, getRowHeightByPosition, getRowIndexByPosition, getRowPositionByY, getStartXOfColumnPosition, getStartYOfRowPosition, getUnderlyingLayerByPosition, getUnderlyingLayersByColumnPosition, getUnderlyingLayersByRowPosition, getVerticalLayerDependency, getWidth, isColumnPositionResizable, isRowPositionResizable, loadState, localToUnderlyingColumnPosition, localToUnderlyingRowPosition, saveState, setClientAreaProvider, setHorizontalLayerDependency, setVerticalLayerDependency, underlyingToLocalColumnPosition, underlyingToLocalColumnPositions, underlyingToLocalRowPosition, underlyingToLocalRowPositions`

  ### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

  `addConfiguration, addLayerListener, clearConfiguration, dispose, fireLayerEvent, getBoundsByPosition, getCellByPosition, getCellPainter, getConfigLabelAccumulator, getProvidedLabels, getRegionName, handleLayerEvent, hasLayerListener, isDynamicSizeLayer, registerCommandHandler, registerCommandHandlers, registerEventHandler, registerPersistable, removeLayerListener, setConfigLabelAccumulator, setLayerPainter, setRegionName, toString, unregisterCommandHandler, unregisterEventHandler, unregisterPersistable`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RowHeader

    public RowHeader​(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer baseLayer, org.eclipse.nebula.widgets.nattable.layer.ILayer verticalLayerDependency, org.eclipse.nebula.widgets.nattable.selection.SelectionLayer selectionLayer)